<!DOCTYPE html>
<html>
<head>
  <title>Hello WebSocket</title>

  <link href="/webjars/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="/css/main.css" rel="stylesheet">
  <script type="text/javascript" src="/webjars/jquery/jquery.min.js"></script>
  <script type="text/javascript" src="/webjars/bootstrap/js/bootstrap.min.js"></script>

  <script type="text/javascript"  src="/webjars/sockjs-client/sockjs.min.js"></script>
  <script type="text/javascript"  src="/webjars/stomp-websocket/stomp.min.js"></script>
  <script type="text/javascript"  src="/js/app.js"></script>
</head>
<body>
<nav th:replace="fragments/header :: header" class="navbar navbar-expand-lg navbar-dark bg-dark"></nav>

<br><br>

<noscript>
  <h2 style="color: #ff0000">
    Seems your browser doesn't support Javascript! Websocket relies on Javascript being enabled. Please enable Javascript
    and reload this page!
  </h2>
</noscript>

<br>

<div id="main-content" class="container">
  <div class="row">
    <div class="col-md-9">
      <form class="form-inline">
        <div class="form-group">
          <label for="connect">WebSocket connection:</label>
          <button id="connect" class="btn btn-primary" type="submit">Connect</button>
          <button id="disconnect" class="btn btn-danger" type="submit" disabled="disabled">Disconnect</button>
        </div>
      </form>
    </div>
  </div>

  <hr>

  <div class="row">
    <div id="formMensaje" class="col-md-9">
      <form class="form-inline">
        <div class="form-group">
          <h2>Envío de mensajes privados</h2>
          <br><br>
          <div class="card">
            <div class="card-body">
              <label th:text="#{chat.nombreDestino}" for="namePrivate"></label>
              <input type="text" id="namePrivate" class="form-control" placeholder="email del usuario destino">
              <label th:text="#{chat.mensaje}" for="msgTxt"></label>
              <input type="text" id="msgTxt" class="form-control" placeholder="Escribe tu mensaje">

              <input name="userID" type="hidden" th:value="${userID}" id="userID" class="form-control" placeholder="Escribe tu mensaje">
            </div>
          </div>
        </div>
        <button th:text="#{boton.enviar}" id="sendPrivate" class="btn btn-primary" type="submit"></button>
      </form>
    </div>
  </div>

  <hr>

  <div class="row">
    <div class="col-md-12">
      <table id="conversation" class="table table-striped">
        <thead>
        <tr>
          <th>Mensajes</th>
        </tr>
        </thead>
        <tbody id="greetings"></tbody>
      </table>
    </div>
  </div>
</div>

</body>
</html>